<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/hal/include/spi.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('spi_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">spi.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_n76_e003_8h_source.html">N76E003.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_s_f_r___macro_8h_source.html">SFR_Macro.h</a>&quot;</code><br />
</div>
<p><a href="spi_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ac9d0bde2b42b2403d00b7a611514b006"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#ac9d0bde2b42b2403d00b7a611514b006">SPI_MODE0</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a0d78729eb437e6096c399a96d83ff224">clr_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a08e9dd0ea0e32c600f5314b32cb94ffa">clr_CPHA</a></td></tr>
<tr class="memdesc:ac9d0bde2b42b2403d00b7a611514b006"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI mode to 0 (CPOL = 0, CPHA = 0)  <br /></td></tr>
<tr class="separator:ac9d0bde2b42b2403d00b7a611514b006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9481b7327b91aa52ff5f70eb2d0acc95"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#a9481b7327b91aa52ff5f70eb2d0acc95">SPI_MODE1</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a0d78729eb437e6096c399a96d83ff224">clr_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a43887cf1a52b9a9ff92d224e6e89b09f">set_CPHA</a></td></tr>
<tr class="memdesc:a9481b7327b91aa52ff5f70eb2d0acc95"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI mode to 1 (CPOL = 0, CPHA = 1)  <br /></td></tr>
<tr class="separator:a9481b7327b91aa52ff5f70eb2d0acc95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a991dec04d2fb38979cfb0d9fc7f8b026"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#a991dec04d2fb38979cfb0d9fc7f8b026">SPI_MODE2</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a34979bced514ea0fcb7e727a7472680e">set_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a08e9dd0ea0e32c600f5314b32cb94ffa">clr_CPHA</a></td></tr>
<tr class="memdesc:a991dec04d2fb38979cfb0d9fc7f8b026"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI mode to 2 (CPOL = 1, CPHA = 0)  <br /></td></tr>
<tr class="separator:a991dec04d2fb38979cfb0d9fc7f8b026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f928a2445070981765ee0416c12369d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#a5f928a2445070981765ee0416c12369d">SPI_MODE3</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a34979bced514ea0fcb7e727a7472680e">set_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a43887cf1a52b9a9ff92d224e6e89b09f">set_CPHA</a></td></tr>
<tr class="memdesc:a5f928a2445070981765ee0416c12369d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI mode to 3 (CPOL = 1, CPHA = 1)  <br /></td></tr>
<tr class="separator:a5f928a2445070981765ee0416c12369d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f157edf173ea33cf6ce3995da1720be"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#a7f157edf173ea33cf6ce3995da1720be">SPI_LSBFIRST</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#ac586b876215dd3c116ab96a2badb90be">set_LSBFE</a></td></tr>
<tr class="memdesc:a7f157edf173ea33cf6ce3995da1720be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI to transmit the least significant bit first.  <br /></td></tr>
<tr class="separator:a7f157edf173ea33cf6ce3995da1720be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae77748f6ed40c1bc713dbe98e29df4ea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#ae77748f6ed40c1bc713dbe98e29df4ea">SPI_MSBFIRST</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#ae8fcf557fc8392db887363f5f4b1907d">clr_LSBFE</a></td></tr>
<tr class="memdesc:ae77748f6ed40c1bc713dbe98e29df4ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI to transmit the most significant bit first.  <br /></td></tr>
<tr class="separator:ae77748f6ed40c1bc713dbe98e29df4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00174198073dadbaaad7f9475360b228"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#a00174198073dadbaaad7f9475360b228">SPI_DISABLE</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a76d0ec4e85d72f5041cfe683088b0878">clr_SPIEN</a></td></tr>
<tr class="memdesc:a00174198073dadbaaad7f9475360b228"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable SPI (required before any changes to SPI configuration)  <br /></td></tr>
<tr class="separator:a00174198073dadbaaad7f9475360b228"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27537db92d0837cc77baa0d99b8cac48"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#a27537db92d0837cc77baa0d99b8cac48">SPI_ENABLE</a>&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a555e2a12732f5ed7aeb6358cb736dbb0">set_SPIEN</a></td></tr>
<tr class="memdesc:a27537db92d0837cc77baa0d99b8cac48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable SPI.  <br /></td></tr>
<tr class="separator:a27537db92d0837cc77baa0d99b8cac48"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae909944aa85ae98323073c628be541aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#ae909944aa85ae98323073c628be541aa">spi_init</a> (void)</td></tr>
<tr class="memdesc:ae909944aa85ae98323073c628be541aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize SPI.  <br /></td></tr>
<tr class="separator:ae909944aa85ae98323073c628be541aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afce8db9057c38fd34fb5d18f9030251f"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="spi_8h.html#afce8db9057c38fd34fb5d18f9030251f">spi_transfer</a> (unsigned char x)</td></tr>
<tr class="memdesc:afce8db9057c38fd34fb5d18f9030251f"><td class="mdescLeft">&#160;</td><td class="mdescRight">SPI transfer.  <br /></td></tr>
<tr class="separator:afce8db9057c38fd34fb5d18f9030251f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a00174198073dadbaaad7f9475360b228" name="a00174198073dadbaaad7f9475360b228"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00174198073dadbaaad7f9475360b228">&#9670;&#160;</a></span>SPI_DISABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_DISABLE&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a76d0ec4e85d72f5041cfe683088b0878">clr_SPIEN</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable SPI (required before any changes to SPI configuration) </p>

</div>
</div>
<a id="a27537db92d0837cc77baa0d99b8cac48" name="a27537db92d0837cc77baa0d99b8cac48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27537db92d0837cc77baa0d99b8cac48">&#9670;&#160;</a></span>SPI_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_ENABLE&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a555e2a12732f5ed7aeb6358cb736dbb0">set_SPIEN</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable SPI. </p>

</div>
</div>
<a id="a7f157edf173ea33cf6ce3995da1720be" name="a7f157edf173ea33cf6ce3995da1720be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f157edf173ea33cf6ce3995da1720be">&#9670;&#160;</a></span>SPI_LSBFIRST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_LSBFIRST&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#ac586b876215dd3c116ab96a2badb90be">set_LSBFE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set SPI to transmit the least significant bit first. </p>

</div>
</div>
<a id="ac9d0bde2b42b2403d00b7a611514b006" name="ac9d0bde2b42b2403d00b7a611514b006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9d0bde2b42b2403d00b7a611514b006">&#9670;&#160;</a></span>SPI_MODE0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE0&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a0d78729eb437e6096c399a96d83ff224">clr_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a08e9dd0ea0e32c600f5314b32cb94ffa">clr_CPHA</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set SPI mode to 0 (CPOL = 0, CPHA = 0) </p>

</div>
</div>
<a id="a9481b7327b91aa52ff5f70eb2d0acc95" name="a9481b7327b91aa52ff5f70eb2d0acc95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9481b7327b91aa52ff5f70eb2d0acc95">&#9670;&#160;</a></span>SPI_MODE1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE1&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a0d78729eb437e6096c399a96d83ff224">clr_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a43887cf1a52b9a9ff92d224e6e89b09f">set_CPHA</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set SPI mode to 1 (CPOL = 0, CPHA = 1) </p>

</div>
</div>
<a id="a991dec04d2fb38979cfb0d9fc7f8b026" name="a991dec04d2fb38979cfb0d9fc7f8b026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a991dec04d2fb38979cfb0d9fc7f8b026">&#9670;&#160;</a></span>SPI_MODE2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE2&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a34979bced514ea0fcb7e727a7472680e">set_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a08e9dd0ea0e32c600f5314b32cb94ffa">clr_CPHA</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set SPI mode to 2 (CPOL = 1, CPHA = 0) </p>

</div>
</div>
<a id="a5f928a2445070981765ee0416c12369d" name="a5f928a2445070981765ee0416c12369d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f928a2445070981765ee0416c12369d">&#9670;&#160;</a></span>SPI_MODE3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MODE3&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#a34979bced514ea0fcb7e727a7472680e">set_CPOL</a>; <a class="el" href="_s_f_r___macro_8h.html#a43887cf1a52b9a9ff92d224e6e89b09f">set_CPHA</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set SPI mode to 3 (CPOL = 1, CPHA = 1) </p>

</div>
</div>
<a id="ae77748f6ed40c1bc713dbe98e29df4ea" name="ae77748f6ed40c1bc713dbe98e29df4ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae77748f6ed40c1bc713dbe98e29df4ea">&#9670;&#160;</a></span>SPI_MSBFIRST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_MSBFIRST&#160;&#160;&#160;<a class="el" href="_s_f_r___macro_8h.html#ae8fcf557fc8392db887363f5f4b1907d">clr_LSBFE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set SPI to transmit the most significant bit first. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae909944aa85ae98323073c628be541aa" name="ae909944aa85ae98323073c628be541aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae909944aa85ae98323073c628be541aa">&#9670;&#160;</a></span>spi_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void spi_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize SPI. </p>

</div>
</div>
<a id="afce8db9057c38fd34fb5d18f9030251f" name="afce8db9057c38fd34fb5d18f9030251f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afce8db9057c38fd34fb5d18f9030251f">&#9670;&#160;</a></span>spi_transfer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char spi_transfer </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SPI transfer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Data to send </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns received data </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_a5db744503d12202ec64e5e5d49b6402.html">hal</a></li><li class="navelem"><a class="el" href="dir_eac8973e6e22cec028734c0f756d1fd5.html">include</a></li><li class="navelem"><a class="el" href="spi_8h.html">spi.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
